{
  "name": "sgse-app",
  "private": true,
  "type": "module",
  "workspaces": {
    "packages": [
      "apps/*",
      "packages/*"
    ],
    "catalog": {
      "convex": "^1.28.0",
      "typescript": "^5.9.2"
    }
  },
  "scripts": {
    "check": "biome check --write .",
    "dev": "turbo dev",
    "build": "turbo build",
    "check-types": "turbo check-types",
    "dev:native": "turbo -F native dev",
    "dev:web": "turbo -F web dev",
    "dev:server": "turbo -F @sgse-app/backend dev",
    "dev:setup": "turbo -F @sgse-app/backend dev:setup"
  },
  "devDependencies": {
    "@biomejs/biome": "^2.3.2",
    "turbo": "^2.5.8"
  },
  "dependencies": {
    "@tanstack/svelte-form": "^1.23.8",
    "chart.js": "^4.5.1",
    "lucide-svelte": "^0.552.0",
    "svelte-chartjs": "^3.1.5",
    "svelte-sonner": "^1.0.5"
  },
  "packageManager": "bun@1.3.0"
}